Bug 226953 - net-p2p/transmission-cli: Fix build with LibreSSL 2.7
Summary: net-p2p/transmission-cli: Fix build with LibreSSL 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL: https://github.com/transmission/trans...
Keywords: needs-qa, patch
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-03-26 16:27 UTC by Bernard Spil
Modified: 2018-04-08 17:26 UTC (History)
1 user (show)

See Also:
crees: maintainer-feedback+


Attachments
svn diff for net-p2p/transmission-cli (1.63 KB, patch)
2018-03-26 16:27 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-03-26 16:27:26 UTC
Created attachment 191842 [details]
svn diff for net-p2p/transmission-cli

```
net-p2p/transmission-cli: Fix build with LibreSSL 2.7

 - LibreSSL 2.7 adds OpenSSL 1.1 API

PR:
Approved by: (maintainer
```
Comment 1 Bernard Spil freebsd_committer 2018-04-02 18:04:42 UTC
Upstream pull-request for issue https://github.com/transmission/transmission/pull/570
Comment 2 Chris Rees freebsd_committer 2018-04-07 14:14:05 UTC
Please go ahead.

Chris
Comment 3 commit-hook freebsd_committer 2018-04-08 17:21:22 UTC
A commit references this bug:

Author: brnrd
Date: Sun Apr  8 17:21:02 UTC 2018
New revision: 466808
URL: https://svnweb.freebsd.org/changeset/ports/466808

Log:
  net-p2p/transmission-cli: Fix build with LibreSSL 2.7

   - LibreSSL 2.7 adds OpenSSL 1.1 API

  PR:		226953
  Approved by:	crees (maintainer)

Changes:
  head/net-p2p/transmission-cli/files/patch-libtransmission_crypto-utils-openssl.c